Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » Virgo Tools for Eclipse Luna and Mars
Virgo Tools for Eclipse Luna and Mars [message #1699590] Thu, 25 June 2015 09:36 Go to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 215
Registered: January 2012
Senior Member

Hi all,
I tried to install the Virgo Tools both in Eclipse Luna and in Mars (JEE packages), from this update site:

"Virgo IDE Releases" - http://download.eclipse.org/virgo/release/tooling
- Eclipse Virgo Tools 1.0.1.201302270038-RELEASE

but I got errors (see below).

Instead all il working well with Kepler.

Some suggestions?

Thank you very much.
Vincenzo


================================================
Cannot complete the install because of a conflicting dependency.
Software being installed: Eclipse Virgo Tools 1.0.1.201302270038-RELEASE (org.eclipse.virgo.ide.feature.feature.group 1.0.1.201302270038-RELEASE)
Software currently installed: Eclipse IDE for Java EE Developers 4.5.0.20150621-1200 (epp.package.jee 4.5.0.20150621-1200)
Only one of the following can be installed at once:
OSGi System Bundle 3.8.1.v20120830-144521 (org.eclipse.osgi 3.8.1.v20120830-144521)
OSGi System Bundle 3.10.100.v20150529-1857 (org.eclipse.osgi 3.10.100.v20150529-1857)
Cannot satisfy dependency:
From: Eclipse IDE for Java EE Developers 4.5.0.20150621-1200 (epp.package.jee 4.5.0.20150621-1200)
To: org.eclipse.epp.package.jee.feature.feature.group
Cannot satisfy dependency:
From: EPP Java EE IDE Feature 4.5.0.20150621-1200 (org.eclipse.epp.package.jee.feature.feature.group 4.5.0.20150621-1200)
To: org.eclipse.m2e.feature.feature.group 0.0.0
Cannot satisfy dependency:
From: Maven Integration for Eclipse 1.6.0.20150526-2032 (org.eclipse.m2e.core 1.6.0.20150526-2032)
To: bundle org.eclipse.osgi 3.10.0
Cannot satisfy dependency:
From: m2e - Maven Integration for Eclipse (includes Incubating components) 1.6.0.20150526-2032 (org.eclipse.m2e.feature.feature.group 1.6.0.20150526-2032)
To: org.eclipse.m2e.core
Cannot satisfy dependency:
From: Eclipse Virgo Tools 1.0.1.201302270038-RELEASE (org.eclipse.virgo.ide.feature.feature.group 1.0.1.201302270038-RELEASE)
To: org.eclipse.virgo.ide.manifest.core [1.0.1.201302270038-RELEASE]
Cannot satisfy dependency:
From: Eclipse Virgo IDE (Manifest Core) 1.0.1.201302270038-RELEASE (org.eclipse.virgo.ide.manifest.core 1.0.1.201302270038-RELEASE)
To: bundle org.eclipse.virgo.kernel.artifact 0.0.0
Cannot satisfy dependency:
From: Virgo Kernel Artifact Integration 3.6.0.RELEASE (org.eclipse.virgo.kernel.artifact 3.6.0.RELEASE)
To: package org.eclipse.virgo.nano.serviceability [3.6.0,3.7.0)
Cannot satisfy dependency:
From: Virgo Nano Core 3.6.0.RELEASE (org.eclipse.virgo.nano.core 3.6.0.RELEASE)
To: package org.eclipse.osgi.internal.baseadaptor 0.0.0

[Updated on: Thu, 25 June 2015 09:36]

Report message to a moderator

Re: Virgo Tools for Eclipse Luna and Mars [message #1699598 is a reply to message #1699590] Thu, 25 June 2015 10:00 Go to previous messageGo to next message
GianMaria Romanato is currently offline GianMaria RomanatoFriend
Messages: 72
Registered: July 2009
Member
Hi Vincenzo,

the Virgo tools are not yet ready for Mars, but this will change very soon as the team is working hard to close a Mars compatible release.

If you cannot wait for the official release, you may try installing a snapshot from http://download.eclipse.org/virgo/snapshot/tooling
Note that the last time I installed a snapshot in Mars, I had to use Java8 for running Eclipse, otherwise the Virgo tools would not work.

GianMaria.


Developing for Virgo using PDE: http://bit.ly/1w0tTit
Global JNDI in Virgo: http://bit.ly/1to42mn
Hyperic to monitor Virgo: http://bit.ly/W1Fst9
Profile Virgo with JProfiler http://bit.ly/1FBLGCw
Re: Virgo Tools for Eclipse Luna and Mars [message #1699600 is a reply to message #1699590] Thu, 25 June 2015 10:12 Go to previous messageGo to next message
Florian Waibel is currently offline Florian WaibelFriend
Messages: 160
Registered: June 2010
Senior Member
Hi Vincenzo,

we just fixed Bug 438506 (Eclipse 4.4 is not supported The installation cannot be completed as requested.) but have not created a new milestone/release for Virgo Tooling yet.

Please use the snapshot update site: http://download.eclipse.org/virgo/snapshot/tooling.

Regards,
florian
Re: Virgo Tools for Eclipse Luna and Mars [message #1699621 is a reply to message #1699600] Thu, 25 June 2015 11:29 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 215
Registered: January 2012
Senior Member

Hi GianMaria, Florian,
thank you!

Just for a note I tried that update site on Mars (with Java8) and had this error:

=================================================
Cannot complete the install because one or more required items could not be found.
Software being installed: Eclipse Virgo Tools 1.0.1.201506250039-SNAPSHOT (org.eclipse.virgo.ide.feature.feature.group 1.0.1.201506250039-SNAPSHOT)
Missing requirement: Artifact Repository 3.7.0.D-20150624084347 (org.eclipse.virgo.repository 3.7.0.D-20150624084347) requires 'package org.eclipse.virgo.util.osgi.manifest [3.7.0,4.0.0)' but it could not be found
Cannot satisfy dependency:
From: Eclipse Virgo Tools 1.0.1.201506250039-SNAPSHOT (org.eclipse.virgo.ide.feature.feature.group 1.0.1.201506250039-SNAPSHOT)
To: org.eclipse.virgo.repository [3.7.0.D-20150624084347]
=================================================

I will try it next with Luna (4.4)

Thank you
Vincenzo

[Updated on: Thu, 25 June 2015 11:30]

Report message to a moderator

Re: Virgo Tools for Eclipse Luna and Mars [message #1699721 is a reply to message #1699621] Fri, 26 June 2015 07:39 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 215
Registered: January 2012
Senior Member

Sorry, I have to correct myself: today I retried with a brand new Mars/JEE+Java8 and a brand new workspace:
the error is related to missing org.json bundle.

Cannot complete the install because one or more required items could not be found.
  Software being installed: Eclipse Virgo Tools 1.0.1.201506260038-SNAPSHOT (org.eclipse.virgo.ide.feature.feature.group 1.0.1.201506260038-SNAPSHOT)
  Missing requirement: Eclipse Virgo IDE (Server Core) 1.0.1.201506260038-SNAPSHOT (org.eclipse.virgo.ide.runtime.core 1.0.1.201506260038-SNAPSHOT) requires 'bundle org.json 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: Eclipse Virgo Tools 1.0.1.201506260038-SNAPSHOT (org.eclipse.virgo.ide.feature.feature.group 1.0.1.201506260038-SNAPSHOT)
    To: org.eclipse.virgo.ide.runtime.core [1.0.1.201506260038-SNAPSHOT]


seems like Mars/JEE doesn't contain org.json ... which is quite strange ...

With Mars/JEE+Java7 instead the detailed error is:

Cannot complete the install because one or more required items could not be found.
  Software being installed: Eclipse Virgo Tools 1.0.1.201506260038-SNAPSHOT (org.eclipse.virgo.ide.feature.feature.group 1.0.1.201506260038-SNAPSHOT)
  Missing requirement: OSGi Framework Editor UI (Incubation) 0.2.0.201206060754 (org.eclipse.libra.framework.editor.ui 0.2.0.201206060754) requires 'bundle org.eclipse.zest.core [1.0.0,2.0.0)' but it could not be found
  Missing requirement: OSGi Framework Editor UI (Incubation) 0.3.0.201212132137 (org.eclipse.libra.framework.editor.ui 0.3.0.201212132137) requires 'bundle org.eclipse.zest.core [1.0.0,2.0.0)' but it could not be found
  Missing requirement: OSGi Framework Editor UI (Incubation) 0.3.0.201305070844 (org.eclipse.libra.framework.editor.ui 0.3.0.201305070844) requires 'bundle org.eclipse.zest.core [1.0.0,2.0.0)' but it could not be found
  Missing requirement: OSGi Framework Editor UI (Incubation) 0.3.0.201305151323 (org.eclipse.libra.framework.editor.ui 0.3.0.201305151323) requires 'bundle org.eclipse.zest.core [1.0.0,2.0.0)' but it could not be found
  Missing requirement: OSGi Framework Editor UI (Incubation) 0.3.0.201305311343 (org.eclipse.libra.framework.editor.ui 0.3.0.201305311343) requires 'bundle org.eclipse.zest.core [1.0.0,2.0.0)' but it could not be found
  Missing requirement: OSGi Framework Editor UI (Incubation) 0.3.1.201405141436 (org.eclipse.libra.framework.editor.ui 0.3.1.201405141436) requires 'bundle org.eclipse.zest.core [1.0.0,2.0.0)' but it could not be found
  Cannot satisfy dependency:
    From: Eclipse Virgo Tools 1.0.1.201506260038-SNAPSHOT (org.eclipse.virgo.ide.feature.feature.group 1.0.1.201506260038-SNAPSHOT)
    To: org.eclipse.virgo.ide.runtime.ui [1.0.1.201506260038-SNAPSHOT]
  Cannot satisfy dependency:
    From: Eclipse Virgo IDE (Server UI) 1.0.1.201506260038-SNAPSHOT (org.eclipse.virgo.ide.runtime.ui 1.0.1.201506260038-SNAPSHOT)
    To: bundle org.eclipse.libra.framework.editor.ui 0.0.0


With Luna/JEE SR2 instead all is working well, both with Java7 and Java8

Vincenzo
Re: Virgo Tools for Eclipse Luna and Mars [message #1699787 is a reply to message #1699721] Fri, 26 June 2015 15:07 Go to previous messageGo to next message
Florian Waibel is currently offline Florian WaibelFriend
Messages: 160
Registered: June 2010
Senior Member
Hi Vincenzo,

I successfully installed the snapshot you tried on OSX and Windows with Java 7.
(the build produces Java 7 compatible byte-code since a few days now)

@see: https://bugs.eclipse.org/bugs/attachment.cgi?id=254754

Java 8 on OSX works for me, too.

If I remember correctly I had such problems when I accidentally unchecked "Contact all update sites during install to find required software" during installation.

Regards,
florian

[Updated on: Fri, 26 June 2015 15:13]

Report message to a moderator

Re: Virgo Tools for Eclipse Luna and Mars [message #1699833 is a reply to message #1699787] Fri, 26 June 2015 23:47 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 215
Registered: January 2012
Senior Member

Hi Florian,
thank you for your answer.
I have always the option "Contact all update sites ..." checked, but ...
... it turned out that I hit this issue

https://bugs.eclipse.org/bugs/show_bug.cgi?id=470900
(==oomph cache blocks access to some update sites)

so the needed features where not allowed to be correctly retrieved.
(indeed I noticed that in last few days when I hit by chance Mars main update site I received an error, but didn't take much care about this...)

In the end just by deleting oomph cache
C:\Users\<user>\.eclipse\org.eclipse.oomph.p2\cache
solved the problem and now I can install Virgo Tools snapshot on Mars, both with Java7 and with Java8.

Thank you very much!
Vincenzo
Re: Virgo Tools for Eclipse Luna and Mars [message #1699917 is a reply to message #1699833] Mon, 29 June 2015 09:30 Go to previous messageGo to next message
Florian Waibel is currently offline Florian WaibelFriend
Messages: 160
Registered: June 2010
Senior Member
Hi Vincenzo,

thanks for trying hard to solve this issue and keeping us in the loop.
I always used clean installations to avoid side-effects during my tests, which explains why I didn't hit this problem.

Regards,
florian
Re: Virgo Tools for Eclipse Luna and Mars [message #1699945 is a reply to message #1699917] Mon, 29 June 2015 12:42 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 215
Registered: January 2012
Senior Member

Hi Florian,
me too was thinking to be using a clean installation (I always unzipped the eclipse package in a brand new folder and used a brand new workspace),
but keep in mind that since Mars onwards everyone is always using Oomph (often wihtout being aware of that!) and so the folder <user>\.eclipse\org.eclipse.oomph.p2\cache enters in the play inevitably ... Smile
Regards
Vincenzo
Re: Virgo Tools for Eclipse Luna and Mars [message #1721792 is a reply to message #1699590] Sat, 30 January 2016 19:14 Go to previous messageGo to next message
Gita Singh is currently offline Gita SinghFriend
Messages: 1
Registered: January 2016
Junior Member
Hi,

I'm trying to install Virgo Tools on Eclipse Mars and Luna JEE packages from the site http://download.eclipse.org/virgo/snapshot/tooling

I don't seem to find the Eclipse Virgo Tools listed on Mac OS X Yosemite. I had successfully installed it on Windows. I see from the posts below that it can be installed on Mac with Mars JEE/Java8. Could you tell me why I'm not seeing the Virgo Tools listed? (the only ones listed are :
Enterprise Tools for the OSGi Service Platform 1.0.0.07M-cLWO767UEMUMUMcUMd6
Enterprise Tools for the OSGi Service Platform SDK 1.0.0.07M-cLWOH57UEMUMUMcUMd6
Virgo From Eclipse RT.

Thanks in advance for your help!

Re: Virgo Tools for Eclipse Luna and Mars [message #1722039 is a reply to message #1721792] Tue, 02 February 2016 12:06 Go to previous message
Florian Waibel is currently offline Florian WaibelFriend
Messages: 160
Registered: June 2010
Senior Member
The snapshot tooling is linked to our Hudson instance and our Hudson was down: https://bugs.eclipse.org/bugs/show_bug.cgi?id=486982
Since the webmasters restarted our Hudson could you please retry?

Regards,
florian

Previous Topic:Virgo tooling and servlet 3.0
Next Topic:VIRGO Server consumes 100% CPU Usage
Goto Forum:
  


Current Time: Mon Nov 19 04:44:22 GMT 2018

Powered by FUDForum. Page generated in 0.02993 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top